Subject: [AAA-WG]: Diameter Peer State Machine problem

From: Joe Harvell <[email-masked]>
Date: Wed, 12 May 2004 13:22:47 +0000

Section 5.6 of RFC 3588 indicates that the state machine described
therein is closely coupled with the Watchdog Algorithm state machine in
RFC 3539.  However, the 3588 state machine doesn't explicitly include
the behavior of suspending and reopening connections.

  From this I infer that my implementation must implement a state machine
that is synthesized from the sate machines in 3588 and 3539.  Most of
this is obvious, but there are a couple of points I am unsure of:

1.	When re-opening a connection, do I send the CER before or after
receiving the three successive DWAs?
2.	When I am in the REOPEN state and I receive any message that is
not a DWA, 3539 says I should throw it away.  Does this include a DWR?
If so, are both sides of the connection implementing the same logic?
(If so, I think REOPEN->OKAY would never happen for either).